Subject: Re: [PATCH 5/5] config: add default aliases

From: Felipe Contreras <[email-masked]>
Date: Fri, 02 Jul 2021 15:41:35 -0500

Junio C Hamano wrote:
> "Randall S. Becker" <[email-masked]> writes:
> 
> > I am sorry if I am coming across too strongly on this subject, but
> > I do think we are overloading alias capability and intruding on a
> > domain that should be reserved for our users, not ourselves.
> 
> Well said.  The customization feature is for helping users, and we
> shouldn't get in their way by adding unnecessary ones ourselves.

Nobody is getting in their way, and if they are unnecessary why does
*everyone* have aliases?

> I wouldn't recommend us to force to our users even "co is for
> checkout" that everybody seems to have.

They are not being forced.

> One thing that might (or might not) help to help users and projects
> share the same set of aliases is to make it easier to audit shared
> configuration file before inclusion.  I wonder if would help to
> introduce "include.allow" and "include.block" configuration variables
> 
>     [include] ;; or [includeIf "<condition>"]
> 	path = /usr/share/git/contrib/svnlike.alias
> 	allow = alias.*
> 
> that tells us to only pay attention to the configuration keys that
> match these 'allow' patterns when reading from the given path.

contrib is a black whole where nothing comes out of, so I would rather
not doom yet another useful feature to that fate.

> But in practice, 'alias' is one of the riskier things you can set in
> the configuration file,

Why?

-- 
Felipe Contreras